Bug 1610904 - [fix available] rendering line cursor when moving selected text
Summary: [fix available] rendering line cursor when moving selected text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-01 15:08 UTC by Tomas Hudziec
Modified: 2018-10-30 07:57 UTC (History)
2 users (show)

Fixed In Version: libreoffice-5.3.6.1-18.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 07:57:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
video of the bug (565.80 KB, application/octet-stream)
2018-08-01 15:08 UTC, Tomas Hudziec
no flags Details


Links
System ID Priority Status Summary Last Updated
Document Foundation 106577 None None None 2018-08-02 08:43:46 UTC
Red Hat Product Errata RHSA-2018:3054 None None None 2018-10-30 07:57:57 UTC

Description Tomas Hudziec 2018-08-01 15:08:07 UTC
Created attachment 1472136 [details]
video of the bug

Description of problem:
When moving selected text over some other letters, LO Writer renders line cursor between letters, where mouse is travelling. These rendered line cursors remains till the affected text is re-rendered.

Version-Release number of selected component (if applicable):
libreoffice-writer-5.3.6.1-16.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. write some text in Libre Office Writer
2. select some part of text
3. move selected text over other part of text

Actual results:
There remains parts of cursor line in places (between letters) where mouse holding text moved.

Expected results:
No cursor parts should be rendered between other letters.

Additional info:
Tested on Lenovo X1 Carbon with Intel Corporation Skylake GT2 [HD Graphics 520] [8086:1916] (rev 07).
Happens also on T470 with Intel Corporation HD Graphics 620 [8086:5916] (rev 02), and probably others.

However, the issue does not happen in virtual machine with Red Hat, Inc. QXL paravirtual graphic card [1b36:0100] (rev 04).

Comment 3 Tomas Hudziec 2018-08-06 11:45:14 UTC
Not reproducible any more with libreoffice-writer-5.3.6.1-18.el7.x86_64, no draw glitches of drag cursor now. Good job. Switching to verified.

Comment 5 errata-xmlrpc 2018-10-30 07:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3054


Note You need to log in before you can comment on or make changes to this bug.